export declare const useTableBlockProps: () => {
    childrenColumnName: any;
    loading: any;
    showIndex: any;
    dragSort: any;
    rowKey: any;
    pagination: any;
    onRowSelectionChange(selectedRowKeys: any): void;
    onRowDragEnd({ from, to }: {
        from: any;
        to: any;
    }): Promise<void>;
    onChange({ current, pageSize }: {
        current: any;
        pageSize: any;
    }, filters: any, sorter: any): void;
    onClickRow(record: any, setSelectedRow: any, selectedRow: any): void;
    onExpand(expanded: any, record: any): void;
};
